package main

import (
	"bytes"
	"log"
	"net/smtp"
)

func sendEmail(username, confirm_id string) {
	c, err := smtp.Dial("127.0.0.1:25")
	if err != nil {
		log.Fatal(err)
	}
	defer c.Close()
	// Set the sender and recipient.
	c.Mail("register@wo-bisch.ch")
	c.Rcpt(username)
	// Send the email body.
	wc, err := c.Data()
	if err != nil {
		log.Fatal(err)
	}
	defer wc.Close()
	mail_message := "To: " + username + `
Subject: Passwortaenderung auf https://wo-bisch.ch, bitte bestaetigen

Lieber Benutzer von wo-bisch.ch

Sie haben soeben eine Passwortaenderung veranlasst.  Bitte klicken Sie folgenden Link,
um das neue Passwort zu aktivieren:

https://wo-bisch.ch/confirm?id=` + confirm_id + `

Bitte ignorieren Sie diese Meldung, falls die Aenderung nicht von Ihnen angefordert wurde!

Mit freundlichen Grüssen
--
wo-bisch.ch`

	buf := bytes.NewBufferString(mail_message)
	if _, err = buf.WriteTo(wc); err != nil {
		log.Fatal(err)
	}
}

func sendPaymentConfirmationEmail(username, charge_data string, amount int64) {
	c, err := smtp.Dial("127.0.0.1:25")
	if err != nil {
		log.Fatal(err)
	}
	defer c.Close()
	// Set the sender and recipient.
	c.Mail("info@wo-bisch.ch")
	c.Rcpt(username)
	// Send the email body.
	wc, err := c.Data()
	if err != nil {
		log.Fatal(err)
	}
	defer wc.Close()
	mail_message := "To: " + username + `
Subject: Zahlungsbestaetigung wo-bisch.ch

Lieber Benutzer von wo-bisch.ch

Sie haben soeben erfolgreich folgende Abo-Verlaengerungen bezahlt:

` + charge_data + `

Mit freundlichen Grüssen
--
wo-bisch.ch`

	buf := bytes.NewBufferString(mail_message)
	if _, err = buf.WriteTo(wc); err != nil {
		log.Fatal(err)
	}
}
